Subject: Re: git-p4 out of memory for very large repository

From: Corey Thompson <[email-masked]>
Date: Fri, 23 Aug 2013 20:56:14 -0400

On Fri, Aug 23, 2013 at 08:42:44PM +0100, Luke Diamand wrote:
> 
> I think I've cloned files as large as that or larger. If you just want to
> clone this and move on, perhaps you just need a bit more memory? What's the
> size of your physical memory and swap partition? Per process memory limit?
> 

The machine has 32GB of memory, so I hope that should be more than
sufficient!

$ ulimit -a
core file size          (blocks, -c) 0
data seg size           (kbytes, -d) unlimited
scheduling priority             (-e) 0
file size               (blocks, -f) unlimited
pending signals                 (-i) 268288
max locked memory       (kbytes, -l) 64
max memory size         (kbytes, -m) unlimited
open files                      (-n) 1024
pipe size            (512 bytes, -p) 8
POSIX message queues     (bytes, -q) 819200
real-time priority              (-r) 0
stack size              (kbytes, -s) 10240
cpu time               (seconds, -t) unlimited
max user processes              (-u) 1024
virtual memory          (kbytes, -v) unlimited
file locks                      (-x) unlimited

Admittedly I don't typically look at ulimit, so please excuse me if I
interpret this wrong, but I feel like this is indicating that the only
artificial limit in place is a maximum of 64kB mlock()'d memory.

Thanks,
Corey